\version "2.24.1"

N = 70
\include "haydn.ly"

\book {
  \coverpage
  \secondpage

  \bookpart {
    \include "header.ly"
    \header { piece = "I" }
    \paper{}
    \score {
      \layout { \breaklayout I \spacing #1/8 }
      \keepWithTag \Haydntags \tag #'Mvt1 <<
        \breaks I
        \I.structure
        \new StaffGroup <<
          \new Flute { \I.Flute }
          \new OboeIandII \partCombine #'(0 . 9) \I.Oboe.1 \I.Oboe.2
          \new Bassoon { \I.Bassoon }
        >>
        \new StaffGroup <<
          \new HornIandII    \with { key=d  } \partCombine \I.Horn.1    \I.Horn.2
          \new TrumpetIandII \with { key=d' } \partCombine \I.Trumpet.1 \I.Trumpet.2
        >>
        \new Timpani \with { tuning=<d a,> } { \I.Timpani }
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \I.Violin.1 }
            \new ViolinII { \I.Violin.2 }
          >>
          \new Viola { \I.Viola }
          \new CB    { \I.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "II" }
    \paper{}
    \maxsystems 3
    \score {
      \layout { \breaklayout II }
      \keepWithTag \Haydntags \tag #'Mvt2 <<
        \breaks II
        \II.structure
        \new StaffGroup <<
          \new Flute { \II.Flute }
          \new OboeIandII \partCombine \II.Oboe.1 \II.Oboe.2
          \new Bassoon { \II.Bassoon }
        >>
        \new StaffGroup
          \new HornIandII \with { key=d } \partCombine \II.Horn.1 \II.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \II.Violin.1 }
            \new ViolinII { \II.Violin.2 }
          >>
          \new Viola { \II.Viola }
          \new CB { \II.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "III" }
    \paper{}
    \score {
      \layout { \breaklayout IIIa system-count = 4 }
      \keepWithTag \Haydntags \tag #'Mvt3 <<
        \breaks IIIa
        \IIIa.structure
        \new StaffGroup <<
          \new Flute { \IIIa.Flute }
          \new OboeIandII \partCombine \IIIa.Oboe.1 \IIIa.Oboe.2
          \new Bassoon { \IIIa.Bassoon }
        >>
        \new StaffGroup <<
          \new HornIandII    \with { key=d  } \partCombine \IIIa.Horn.1    \IIIa.Horn.2
          \new TrumpetIandII \with { key=d' } \partCombine \IIIa.Trumpet.1 \IIIa.Trumpet.2
        >>
        \new Timpani \with { tuning=<d a,> } { \IIIa.Timpani }
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IIIa.Violin.1 }
            \new ViolinII { \IIIa.Violin.2 }
          >>
          \new Viola { \IIIa.Viola }
          \new CB    { \IIIa.Cello }
        >>
      >>
    }
    \keepWithTag \Haydntags \tag #'Mvt3 \pageBreak
    \score {
      \layout { \breaklayout IIIb }
      \header { piece = ##f }
      \keepWithTag \Haydntags \tag #'Mvt3 <<
        \breaks IIIb
        \IIIb.structure
        \new StaffGroup
          \new Oboes <<
            \new OboeI  { \IIIb.Oboe.1 }
            \new OboeII { \IIIb.Oboe.2 }
          >>
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IIIb.Violin.1 }
            \new ViolinII { \IIIb.Violin.2 }
          >>
          \new Viola { \IIIb.Viola }
          \new CB    { \IIIb.Cello }
        >>
      >>
    }
    \score {
      \layout { \breaklayout IIIc system-count = 2 }
      \header { piece = ##f }
      \keepWithTag \Haydntags \tag #'Mvt3 <<
        \breaks IIIc
        \IIIc.structure
        \new StaffGroup <<
          \new Flute { \IIIc.Flute }
          \new OboeIandII \partCombine \IIIc.Oboe.1 \IIIc.Oboe.2
          \new Bassoon { \IIIc.Bassoon }
        >>
        \new StaffGroup <<
          \new HornIandII    \with { key=d  } \partCombine #'(0 . 9) \IIIc.Horn.1    \IIIc.Horn.2
          \new TrumpetIandII \with { key=d' } \partCombine #'(0 . 9) \IIIc.Trumpet.1 \IIIc.Trumpet.2
        >>
        \new Timpani \with { tuning=<d a,> } { \IIIc.Timpani }
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IIIc.Violin.1 }
            \new ViolinII { \IIIc.Violin.2 }
          >>
          \new Viola { \IIIc.Viola }
          \new CB    { \IIIc.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "IV" }
    \paper{}
    \maxsystems 2
    \score {
      \layout { \breaklayout IV \spacing #1/8 }
      \keepWithTag \Haydntags \tag #'Mvt4 <<
        \breaks IV
        \IV.structure
        \new StaffGroup <<
          \new Flute { \IV.Flute }
          \new Oboes <<
            \new OboeI  { \IV.Oboe.1 }
            \new OboeII { \IV.Oboe.2 }
          >>
          \new Bassoon { \IV.Bassoon }
        >>
        \new StaffGroup <<
          \new HornIandII    \with { key=d  } \partCombine \IV.Horn.1    \IV.Horn.2
          \new TrumpetIandII \with { key=d' } \partCombine \IV.Trumpet.1 \IV.Trumpet.2
        >>
        \new Timpani \with { tuning=<d a,> } { \IV.Timpani }
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IV.Violin.1 }
            \new ViolinII { \IV.Violin.2 }
          >>
          \new Viola { \IV.Viola }
          \new CB { \IV.Cello }
        >>
      >>
    }
  }
}
